main{
    display: flex;
    flex-direction: column;
    margin-top: 113px;
    background-color: #5e656f;
    box-sizing: border-box;
}
/* #393E46 5e656f */
main > h1{
    background-color: #eeeeee;
    color: #393E46;
    margin: 0px;
    
    padding: 50px 0px;
}

.projects-container{
    display: flex;
    flex-direction: column;

    box-sizing: border-box;
}

.project{
    display: flex;
    justify-content: center;
    padding: 20px;

    height: 300px;
}

.dark{
    background-color: #393E46;
}

.dark > .h3-underline{
    background-color: #5e656f;
}

/* project screenshot */
.screenshot{
    min-width: 350px;
    border: 5px solid #eeeeee;

    background-color: #eeeeee;
    background-size: cover;
    background-position: center;
    transition: 0.3s;

    position: relative;
    z-index: 3;
}

.overlay{
    display: flex;
    align-items: center;
    justify-content: center;

    position: absolute;
    z-index: 3;
    top: 0px;
    width: 100%;
    height: 100%;
    backdrop-filter: blur(3px);
    opacity: 0;

    transition: 0.4s;
}

.overlay:hover{
    opacity: 1;
}

.overlay > a{
    text-decoration: none;
    font-size: 20px;
    font-weight: 600;
    color: #393E46;

    background-color: #eeeeee;
    padding: 5px 10px;

    transition: 0.2s;
}

.overlay > a:hover{
    transform: scale(1.1);
}

/* project description */

.description{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;

    padding: 0px 30px;
}
.description > h3{
    font-size: 25px;
    font-weight: 800;
    color: #eeeeee;
}

.h3-underline{
    height: 3px;
    width: 170px;
    margin-top: 5px;
    background-color: #393E46;
}

.h3-underline-dark{
    height: 3px;
    width: 170px;
    margin-top: 5px;
    background-color: #5e656f;
}

.description > p{
    font-size: 20px;
    font-weight: 400;
    text-align: center;
    line-height: 2rem;

    max-width: 340px;
    padding: 30px 0px;
    color: #eeeeee;
}

#pexeso{ 
    background-image: url("../images/pexeso.PNG");
}

#whack-a-mole{
    background-image: url("../images/whackamole.PNG");
}

#break-out{
    background-image: url("../images/breakout.PNG");
}

#console-calendar{
    background-image: url("../images/kalendar.gif");
    background-position: left top;
    background-size: 200%;
}

#nahodnost{
    background-image: url("../images/nahodnost.gif");
}

@media (max-width: 800px){
    .project{
        flex-direction: column;
        height: auto;
        padding: 20px 0px 0px 0px;
    }

    .screenshot{
        min-height: 300px;
        margin: 0px;
    }
}



